package edu.ucf.cs.courses.cop4610l.beans.streams;

/**
 * @author Mathew B. Lowery
 * @version 1.0
 */

import java.util.*;

/**
 * Interface that listeners must implement to hear stream construction
 * events.
 * @see StringToStream
 */
public interface StreamConstructedListener extends EventListener {

  /**
   * When this method is called on listeners, the stream is ready to be
   * consumed.
   * @param e the event encapsulating the stream
   */
  public void streamConstructed(StreamConstructedEvent e);

} // StreamConstructedListener