package edu.ucf.cs.courses.cop4610l.beans.streams;

/**
 * @author Mathew B. Lowery
 * @version 1.0
 */

import java.util.*;

/**
 * Interface that listeners must implement to hear string construction
 * events.
 * @see StreamToString
 */
public interface StringConstructedListener extends EventListener {

  /**
   * When this method is called on listeners, the string has been created.
   * @param e the event encapsulating the string
   */
  public void stringConstructed(StringConstructedEvent e);

} // StringConstructedListener